| Flutter Impeller |

Public Member Functions | List of all members
impeller::PointFieldGeometry Class Referencefinal

`#include <point_field_geometry.h>`

Inheritance diagram for impeller::PointFieldGeometry:

## Public Member Functions
| PointFieldGeometry (std::vector< Point > points, Scalar radius, bool round)
| ~PointFieldGeometry ()=default
Public Member Functions inherited from impeller::Geometry
virtual GeometryResult::Mode | GetResultMode () const
virtual bool | CoversArea (const Matrix &transform, const Rect &rect) const
| Determines if this geometry, transformed by the given `transform`, will completely cover all surface area of the given `rect`. More...
virtual bool | IsAxisAlignedRect () const
virtual bool | CanApplyMaskFilter () const
virtual Scalar | ComputeAlphaCoverage (const Entity &entitys) const

## Additional Inherited Members
Static Public Member Functions inherited from impeller::Geometry
static std::shared_ptr< Geometry > | MakeFillPath (const Path &path, std::optional< Rect > inner_rect=std::nullopt)
static std::shared_ptr< Geometry > | MakeStrokePath (const Path &path, Scalar stroke_width=0.0, Scalar miter_limit=4.0, Cap stroke_cap=Cap::kButt, Join stroke_join=Join::kMiter)
static std::shared_ptr< Geometry > | MakeCover ()
static std::shared_ptr< Geometry > | MakeRect (const Rect &rect)
static std::shared_ptr< Geometry > | MakeOval (const Rect &rect)
static std::shared_ptr< Geometry > | MakeLine (const Point &p0, const Point &p1, Scalar width, Cap cap)
static std::shared_ptr< Geometry > | MakeCircle (const Point &center, Scalar radius)
static std::shared_ptr< Geometry > | MakeStrokedCircle (const Point &center, Scalar radius, Scalar stroke_width)
static std::shared_ptr< Geometry > | MakeRoundRect (const Rect &rect, const Size &radii)
static std::shared_ptr< Geometry > | MakePointField (std::vector< Point > points, Scalar radius, bool round)
Static Protected Member Functions inherited from impeller::Geometry
static GeometryResult | ComputePositionGeometry (const ContentContext &renderer, const Tessellator::VertexGenerator &generator, const Entity &entity, RenderPass &pass)

## Detailed Description

Definition at line 12 of file point_field_geometry.h.

## Constructor & Destructor Documentation

## ◆ PointFieldGeometry()

impeller::PointFieldGeometry::PointFieldGeometry | ( | std::vector< Point > | points,
|  | Scalar | radius,
|  | bool | round
| ) |  |

Definition at line 13 of file point_field_geometry.cc.

16 : points_(std::move(points)), radius_(radius), round_(round) {}

## ◆ ~PointFieldGeometry()

impeller::PointFieldGeometry::~PointFieldGeometry | ( |  | ) |
| default

The documentation for this class was generated from the following files:

- impeller/entity/geometry/point_field_geometry.h
- impeller/entity/geometry/point_field_geometry.cc